# Krys4lide

Logiciel de Pharmacie libre et open-source.

## Crates

- `app`: Interface du logiciel, servie par un serveur web propulsé par Axum. Utilisable en mode endpoint ou encapsulé dans le client `desktop`
- `desktop`: Client desktop propulsé par Tauri, encapsulant le serveur web `app`
- `sesam-vitale`: Bibliothèque de gestion des services SESAM-Vitale (Lecture des cartes CPS et Vitale, téléservices ...)

## Development

### Pré-requis

La CLI Tauri est nécessaire au lancement du client `desktop`. Elle peut être installée via Cargo :

```bash
cargo install tauri-cli
```

### Exécution de l'application cliente desktop

```bash
cargo tauri dev
```

### Exécution du serveur web `app` en mode endpoint

```bash
cargo run --bin app 
```

## Build

Packager le client desktop

```bash
cargo tauri build
```
